TagLib::Mod::Properties Class Reference

An implementation of audio property reading for Mod. More...

`#include <modproperties.h>`

Inheritance diagram for TagLib::Mod::Properties:
[legend]
Collaboration diagram for TagLib::Mod::Properties:
[legend]

## Public Member Functions

| Properties (AudioProperties::ReadStyle propertiesStyle)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
unsigned int | instrumentCount () const
unsigned char | lengthInPatterns () const
void | setChannels (int channels)
void | setInstrumentCount (unsigned int instrumentCount)
void | setLengthInPatterns (unsigned char lengthInPatterns)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const
virtual int | lengthInMilliseconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for Mod.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::Mod::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::Mod::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::Mod::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::Mod::Properties::bitrate | ( |  | ) | const

override virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Reimplemented from TagLib::AudioProperties.

## channels()

int TagLib::Mod::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by setChannels().

## instrumentCount()

unsigned int TagLib::Mod::Properties::instrumentCount | ( |  | ) | const

Referenced by setInstrumentCount().

## lengthInPatterns()

unsigned char TagLib::Mod::Properties::lengthInPatterns | ( |  | ) | const

Referenced by setLengthInPatterns().

## operator=()

Properties & TagLib::Mod::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleRate()

int TagLib::Mod::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

## setChannels()

void TagLib::Mod::Properties::setChannels | ( | int | channels | ) |

References channels().

## setInstrumentCount()

void TagLib::Mod::Properties::setInstrumentCount | ( | unsigned int | instrumentCount | ) |

References instrumentCount().

## setLengthInPatterns()

void TagLib::Mod::Properties::setLengthInPatterns | ( | unsigned char | lengthInPatterns | ) |

References lengthInPatterns(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

The documentation for this class was generated from the following file:

- modproperties.h